# Class RadialVertex`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutVertex
  - RadialVertex

RadialVertex, a LayoutVertex that holds additional info

#####
Index

### Constructors

constructor

### Properties

angle
children
distance
laid
radius
sweep

#####
Inherited Index

### Accessors

LayoutVertex.bounds
LayoutVertex.centerX
LayoutVertex.centerY
LayoutVertex.data
LayoutVertex.destinationEdges
LayoutVertex.destinationVertexes
LayoutVertex.edges
LayoutVertex.edgesCount
LayoutVertex.focus
LayoutVertex.focusX
LayoutVertex.focusY
LayoutVertex.height
LayoutVertex.network
LayoutVertex.node
LayoutVertex.sourceEdges
LayoutVertex.sourceVertexes
LayoutVertex.vertexes
LayoutVertex.width
LayoutVertex.x
LayoutVertex.y

### Methods

LayoutVertex.addDestinationEdge
LayoutVertex.addSourceEdge
LayoutVertex.commit
LayoutVertex.deleteDestinationEdge
LayoutVertex.deleteSourceEdge

## Constructors

### constructor

- new RadialVertex(network: LayoutNetwork): RadialVertex

- #### Parameters

  - ##### network: LayoutNetwork

  #### Returns RadialVertex

## Properties

### angle
: number

### children
: RadialVertex[]

### distance
: number

### laid
: boolean

### radius
: number

### sweep
: number

Copyright © 1998-2024 by Northwoods Software Corporation.